Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class Simulator.TimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  avrora.sim.Simulator.TimeoutException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Simulator

public static class Simulator.TimeoutException
extends java.lang.RuntimeException

The `TimeoutException` is thrown by the simulator when a timeout reaches zero. Timeouts can be used to ensure termination of the simulator during testing, and implementing timestepping in surrounding tools such as interactive debuggers or visualizers.

When the exception is thrown, the simulator is left in a state that is safe to be resumed by a `start()` call.

See Also:
  Serialized Form

Field Summary
`int` | `address` The `address` field stores the address of the next instruction to be executed after the timeout.
`Instr` | `instr` The `instr` field stores the next instruction to be executed after the timeout.
`State` | `state` The `state` field stores the state of the simulation at the point at which the timeout occurred.
`long` | `timeout` The `timeout` field stores the value (in clock cycles) of the timeout that occurred.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### instr

    public final Instr instr

  The `instr` field stores the next instruction to be executed after the timeout.

### address

    public final int address

  The `address` field stores the address of the next instruction to be executed after the timeout.

### state

    public final State state

  The `state` field stores the state of the simulation at the point at which the timeout occurred.

### timeout

    public final long timeout

  The `timeout` field stores the value (in clock cycles) of the timeout that occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD